Get inbox details
curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/inboxes/{inbox_id} \
--header 'api_access_token: <api-key>' \
--header 'api_account_id: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/inboxes/{inbox_id}"
headers = {
"api_access_token": "<api-key>",
"api_account_id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_access_token: '<api-key>', api_account_id: '<api-key>'}
};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/inboxes/{inbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"channel_id": 123,
"name": "Official WhatsApp",
"channel_type": "Channel::Whatsapp",
"phone_number": "+966555555555"
}Core CRM & Conversation APIs
Get inbox details
Retrieve settings and details for a single inbox.
GET
https://chat.domix.ai
/
api
/
v1
/
accounts
/
{account_id}
/
inboxes
/
{inbox_id}
Get inbox details
Authorizations
ApiAccessToken & ApiAccountIdApiAccessTokenHyphen & ApiAccountIdHyphen
API Access Token (underscore format)
Account ID (underscore format for unified message endpoints)
Path Parameters
ID of the account in Domix AI
Example:
"16"
Example:
1